Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Fri, 6 Sep 2019 11:06:07 -0500
From: "A. Wilcox" <awilfox@...lielinux.org>
To: musl@...ts.openwall.com
Subject: Re: Loading of Node.js native module segfaults in Alpine 3.10
 (works in 3.9)

On 06/09/2019 08:10, Christof Marti wrote:
> We have a Node.js native module that fails to load on Alpine 3.10
> (musl-1.1.22-r3). It loads fine on Alpine 3.9 (musl-1.1.20-r4) and other
> (Debian / CentOS base) Linux distros. I also specifically tested with
> alpine:3.10 and debian:8 Docker images and Node.js 10.16.3 to rule out
> differences between Node.js versions and the Debian image does not show
> the problem.


I am wondering if our patch (
https://code.foxkit.us/adelie/packages/blob/753435f2/user/node/stack-silliness.patch
) would fix this.  Is there any way you can try to build the Node
package with this patch applied locally?  Or, alternatively, you could
try to install our Node package directly (
https://distfiles.adelielinux.org/adelie/1.0-beta4/user/x86_64/node-10.16.3-r0.apk
- though I'm not sure this will install cleanly on an Alpine system ).

Best to you and yours,
--arw


-- 
A. Wilcox (awilfox)
Project Lead, Adélie Linux
https://www.adelielinux.org



Download attachment "signature.asc" of type "application/pgp-signature" (834 bytes)

Powered by blists - more mailing lists

Your e-mail address:

Confused about mailing lists and their use? Read about mailing lists on Wikipedia and check out these guidelines on proper formatting of your messages.